Bug 152124 - Raid subsystem hosed when rescue disk is used, and raid1 is degraded
Raid subsystem hosed when rescue disk is used, and raid1 is degraded
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: raidtools (Show other bugs)
3
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Doug Ledford
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-03-24 21:54 EST by Graham Leggett
Modified: 2007-11-30 17:11 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-09-19 15:28:48 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Graham Leggett 2005-03-24 21:54:44 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.5) Gecko/20050130 Fedora/1.7.5-3

Description of problem:
While in the process of trying to achieve the virtually impossible task of upgrading the hadrware underneath a Fedora Core 3 system (you can upgrade the drives, you will never get that system to boot).

The obligatory rescue disk is run, but the RAID1 array is not detected. In this case the RAID1 mirror pair is running in degraded mode, and raidtools cheerfully says that due to one disk being missing, raidstart refuses to start up the raid device. I thought the idea of RAID1 was to survive a failed drive... oh never mind.

A workaround is found: If you "recreate" the RAID1 devices over themselves used mkraid, this "fixes the problem". Only somebody forgot to include the raidtools on the rescue disk, which means you only have access to mkraid if it's on a separate harddrive.

What I would give for a simple program on the rescue disk that says "do everything necessary to make this system boot".


Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
xxx

Additional info:
Comment 1 Dan Hollis 2006-01-23 07:21:41 EST
deliberate design decision? see bug 105598
Comment 2 Matthew Miller 2006-07-10 19:43:28 EDT
Fedora Core 3 is now maintained by the Fedora Legacy project for security
updates only. If this problem is a security issue, please reopen and
reassign to the Fedora Legacy product. If it is not a security issue and
hasn't been resolved in the current FC5 updates or in the FC6 test
release, reopen and change the version to match.

Thank you!

Note You need to log in before you can comment on or make changes to this bug.